POST api/Activities/GetViewHistory
Request Information
URI Parameters
None.
Body Parameters
ViewHistoryRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDatabaseIds | Collection of globally unique identifier |
None. |
|
| PolicyDatabaseIds | Collection of globally unique identifier |
None. |
|
| ObjectDatabaseIds | Collection of globally unique identifier |
None. |
|
| UserEmails | Collection of string |
None. |
|
| TableNames | Collection of string |
None. |
|
| FromDate | date |
None. |
|
| ToDate | date |
None. |
|
| Skip | integer |
None. |
|
| Top | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDatabaseIds": [
"8110bb89-59e8-48ef-ba20-bc120e8f650c",
"9b3212d4-d97d-42f0-a3ee-c44763db8548"
],
"policyDatabaseIds": [
"b448006b-0e1a-4b5e-b6e0-b103ddc6c421",
"dc0bb957-0e4a-4767-b361-06ea08266e51"
],
"objectDatabaseIds": [
"2765d1e0-9fe9-4e77-8b10-9ffe1b9e9483",
"a61fef6c-52de-4e24-ae75-658ea88ca607"
],
"userEmails": [
"sample string 1",
"sample string 2"
],
"tableNames": [
"sample string 1",
"sample string 2"
],
"fromDate": "2026-05-21T21:56:13.3056423-05:00",
"toDate": "2026-05-21T21:56:13.3056423-05:00",
"skip": 1,
"top": 1
}
application/xml, text/xml
Sample:
<ViewHistoryRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsHistories.Histories">
<FromDate>2026-05-21T21:56:13.3056423-05:00</FromDate>
<InsuredDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>8110bb89-59e8-48ef-ba20-bc120e8f650c</d2p1:guid>
<d2p1:guid>9b3212d4-d97d-42f0-a3ee-c44763db8548</d2p1:guid>
</InsuredDatabaseIds>
<ObjectDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>2765d1e0-9fe9-4e77-8b10-9ffe1b9e9483</d2p1:guid>
<d2p1:guid>a61fef6c-52de-4e24-ae75-658ea88ca607</d2p1:guid>
</ObjectDatabaseIds>
<PolicyDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>b448006b-0e1a-4b5e-b6e0-b103ddc6c421</d2p1:guid>
<d2p1:guid>dc0bb957-0e4a-4767-b361-06ea08266e51</d2p1:guid>
</PolicyDatabaseIds>
<Skip>1</Skip>
<TableNames xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</TableNames>
<ToDate>2026-05-21T21:56:13.3056423-05:00</ToDate>
<Top>1</Top>
<UserEmails xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</UserEmails>
</ViewHistoryRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Collection of ViewHistoryResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| UserEmail | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| PolicyDatabaseId | globally unique identifier |
None. |
|
| ObjectDatabaseId | globally unique identifier |
None. |
|
| TableName | string |
None. |
|
| Date | date |
None. |
|
| Url | string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"userEmail": "sample string 2",
"insuredDatabaseId": "106b6a3a-9f19-4715-8cba-576ef955a269",
"policyDatabaseId": "4456be5b-f27e-4182-9145-dee97ea90eb6",
"objectDatabaseId": "76d3a08b-0f40-4fb4-992f-be2c2f208ba8",
"tableName": "sample string 4",
"date": "2026-05-21T21:56:13.3212522-05:00",
"url": "sample string 5"
},
{
"userEmail": "sample string 2",
"insuredDatabaseId": "106b6a3a-9f19-4715-8cba-576ef955a269",
"policyDatabaseId": "4456be5b-f27e-4182-9145-dee97ea90eb6",
"objectDatabaseId": "76d3a08b-0f40-4fb4-992f-be2c2f208ba8",
"tableName": "sample string 4",
"date": "2026-05-21T21:56:13.3212522-05:00",
"url": "sample string 5"
}
]
application/xml, text/xml
Sample:
<ArrayOfViewHistoryResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsHistories.Histories">
<ViewHistoryResponse>
<Date>2026-05-21T21:56:13.3212522-05:00</Date>
<InsuredDatabaseId>106b6a3a-9f19-4715-8cba-576ef955a269</InsuredDatabaseId>
<ObjectDatabaseId>76d3a08b-0f40-4fb4-992f-be2c2f208ba8</ObjectDatabaseId>
<PolicyDatabaseId>4456be5b-f27e-4182-9145-dee97ea90eb6</PolicyDatabaseId>
<TableName>sample string 4</TableName>
<Url>sample string 5</Url>
<UserDatabaseId>72b9e7b1-09dc-47b3-801c-acfaa1239e9e</UserDatabaseId>
<UserEmail>sample string 2</UserEmail>
</ViewHistoryResponse>
<ViewHistoryResponse>
<Date>2026-05-21T21:56:13.3212522-05:00</Date>
<InsuredDatabaseId>106b6a3a-9f19-4715-8cba-576ef955a269</InsuredDatabaseId>
<ObjectDatabaseId>76d3a08b-0f40-4fb4-992f-be2c2f208ba8</ObjectDatabaseId>
<PolicyDatabaseId>4456be5b-f27e-4182-9145-dee97ea90eb6</PolicyDatabaseId>
<TableName>sample string 4</TableName>
<Url>sample string 5</Url>
<UserDatabaseId>72b9e7b1-09dc-47b3-801c-acfaa1239e9e</UserDatabaseId>
<UserEmail>sample string 2</UserEmail>
</ViewHistoryResponse>
</ArrayOfViewHistoryResponse>